K2 blackpearl and K2 smartforms: Product Compatibility, Integration and Support

spacer Support Plans & Software Releases
spacer spacer Web Browser Compatibility
spacer
spacer Installation Compatibility
spacer Product Integration Compatibility
spacer
spacer Languages
spacer Additional Resources
How to use this matrix

Use this matrix to determine what products and versions of products are supported and compatible with various versions of K2. A check mark means that the listed product/version was tested and is supported by K2. If any product or version is not listed and not covered by the Product Support Policy, it is not supported. A missing check mark means that the listed product/version is not supported, has not been tested or is not compatible with that specific version of K2.

This matrix was last updated 25 July 2017. Access the archived version of the blackpearl support matrix to view support information for previous product versions. Access the archived version of the SmartForms support matrix to view support information for previous product versions.

K2 4.7 introduced changes regarding support for certain versions of third party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.


Certain support policy changes have taken effect with the release of K2 4.7, as announced in the technical bulletin Changes to the K2 product support policy. K2’s latest product support policy and release strategy are described in the Knowledge Base article: K2 Product Support and Release Strategy.
Software Releases

This section contains the release history and upgrade compatibility tables for K2 products.

K2 Product Version Release History
spacer

The Product Version Release table lists the version release history for recent K2 product versions. Please refer to the Release Notes for more information about that particular release or see K2 Product Releases and Build Numbers (KB001421) for a complete list of K2 releases and builds.

K2 Version Build Number Release Date Support End Date Release Notes
4.7 September 2016 December 2019 KB001745
K2 blackpearl 4.7 (includes K2 for SharePoint) 4.16060.2000.x
K2 smartforms 4.7 (includes K2 smartforms Control Pack) 4.16060.2000.x
K2 Language Pack 4.7 (Preview) 4.13500.0.x
4.6.11 September 2015 September 2017 KB001735
K2 blackpearl 4.6.11 4.12060.1731.x
K2 smartforms 4.6.11 4.12165.1732.x
K2 smartforms Control Pack 4.6.11 4.13180.1733.x
K2 for SharePoint 4.6.11 4.13350.1734.x
K2 Language Pack 4.6.11 (Preview) 4.13500.0.x
4.6.10 June 2015 June 2017 KB001700
K2 blackpearl 4.6.10 4.12060.1690.x
K2 smartforms 4.6.10 4.12165.1700.x
K2 smartforms Control Pack 4.6.10 4.13180.1710.x
K2 for SharePoint 4.6.10 4.13350.1720.x
K2 Language Pack 4.6.10 (Preview) 4.13500.0.x
spacer
4.6.9 September 2016
K2 blackpearl 4.6.9 4.12060.1640.x February 2015 KB001640
K2 smartforms 4.6.9 4.12165.1650.x February 2015 KB001650
K2 smartforms Control Pack 4.6.9 4.13180.1675.x March 2015 KB001675
K2 for SharePoint 4.6.9 4.13350.1660.x March 2015 KB001660
K2 Language Pack (Preview) 4.6.9 4.13500.0.x March 2015 KB001695
4.6.8 August 2014 September 2016 KB001600
K2 blackpearl 4.6.8 4.12060.1600.x
K2 smartforms 1.0.7 4.12165.1635.x KB001635
K2 smartforms Control Pack 1.0.1 4.13180.1670.x KB001670
K2 for SharePoint 1.0.1 4.13350.1645.x KB001645
4.6.7 March 2014 September 2016 KB001590
K2 blackpearl 4.6.7 4.12060.1590.x
K2 smartforms 1.0.6 4.12165.1625.x KB001625
K2 smartforms Control Pack 1.0 4.13180.1.x KB001630
K2 for SharePoint 1.0 4.13350.1.x KB001610
4.6.6 September 2016
K2 blackpearl 4.6.6 4.12060.1560.x July 2013 KB001560
K2 smartforms 1.0.5 4.12165.1605.x December 2013 KB001605
4.6.5 September 2016
K2 blackpearl 4.6.5 4.12060.1550.x April 2013 KB001550
K2 smartforms 1.0.4 4.12165.1595.x September 2013 KB001595
4.6.4 September 2016
K2 blackpearl 4.6.4 4.12060.1540.x December 2012 KB001540
K2 smartforms 1.0.3 4.12165.1585.x July 2013 KB001585
4.6.3 September 2016
K2 blackpearl 4.6.3 4.12060.1530.x October 2012 KB001530
K2 smartforms 1.0.2
More...
4.12165.1575.x May 2013 KB001575
  • The K2 smartforms 1.0.2 (4.12165.1575.0) release plus the Week 22 patch is equivalent to the K2 smartforms 1.0.2 (4.12165.1575.1) release.
4.6.2 September 2016
K2 blackpearl 4.6.2 4.12060.1520.x August 2012 KB001520
K2 smartforms 1.0.1 4.12165.1565.x October 2012 KB001565
4.6.1 September 2016
K2 blackpearl 4.6.1 4.12060.1500.x June 2012 KB001500
K2 smartforms 1.0 4.12165.1.x July 2012 KB001555
4.6 April 2012 September 2016 KB001450
K2 blackpearl 4.6 4.12060.1.x
Release Upgrade Compatibility
spacer

This upgrade compatibility matrix describes which versions of K2 ("Installed K2 Version") can be upgraded to which later versions of K2 ("Version to be installed")

More...

Starting with K2 blackpearl version 4.6.9, K2 smartforms and K2 smartforms Control Pack versions began sharing the same numbering convention. Prior to K2 blackpearl version 4.6.9, K2 smartforms and K2 smartforms Control Pack version numbers were different than their K2 blackpearl counterpart. Use the More... links to view the K2 smartforms and K2 smartforms Control Pack version numbers if applicable.

Version to be installed
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5 4.6.4 4.6.3 4.6.2 4.6.1 4.6
Installed K2 version
K2 blackpearl 4.6
More...
Check Check Check Check Check Check Check Check Check Check Check Check
  • Upgrading to K2 blackpearl 4.7 and greater requires a consolidated database. Databases can be consolidated in K2 blackpearl versions 4.6.5 and greater. K2 blackpearl versions less than 4.6.5 will require an upgrade first to a version where the databases can be consolidated, then after consolidation, upgrade to 4.7. K2 Database Consolidation Tool
  • K2 blackpearl 4.6.8 includes K2 smartforms 1.0.7 and K2 smartforms Control Pack 1.0.1
  • K2 blackpearl 4.6.7 includes K2 smartforms 1.0.6 and K2 smartforms Control Pack 1.0
  • K2 blackpearl 4.6.6 includes K2 smartforms 1.0.5
  • K2 blackpearl 4.6.5 includes K2 smartforms 1.0.4
K2 blackpearl 4.5
More...
Check Check Check Check Check Check Check Check Check Check Check Check
  • Current version 4.5 with update (KB001420)
  • Target version 4.5 must have the latest update (KB001420)
K2 blackpearl 0807
More...
Check Check Check Check Check Check Check
  • Current version 0807 with latest update
  • Target version 4.5 must have the latest update (KB001420)
K2 blackpoint 4.6.4
More...
Check Check Check
  • See KB001386 for details on upgrading from blackpoint to blackpearl.
  • Target version 4.5 must have the latest update (KB001420)
None Check Check Check Check Check Check Check Check Check Check Check Check Check
Installation Compatibility

This section describes the platforms and software components that are required for installing K2, including optional K2 components. Other optional integration components (such as Microsoft Dynamics CRM or Microsoft Exchange Server) are covered in the Product Integration section.

Uncheck the K2 product versions you do not want displayed. Check the K2 product versions you want displayed.
Supported Products Support Ended Products
4.7 4.6.9 (K2 smartforms and K2 smartforms Control Pack versions are the same as K2 blackpearl)
4.6.11 4.6.8 (Includes K2 smartforms 1.0.7 and K2 smartforms Control Pack 1.0.1)
4.6.10 4.6.7 (Includes K2 smartforms 1.0.6 and K2 smartforms Control Pack 1.0)
4.6.6 (Includes K2 smartforms 1.0.5)
4.6.5
Prerequisites and Installation Compatibility Matrix
spacer
K2 Server Components
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • K2 Server Components includes: K2 Core, K2 blackpearl Server, K2 database(s), K2 for SharePoint 2010, K2 Workspace (including Runtime Web Services), K2 for Reporting Services, K2 for SharePoint 2013, K2 SmartForms Server components (including the K2 Designer website and K2 SmartForms runtime website), K2 Control Pack, K2 Language Pack.
  • K2 Server components are only compatible with 64-bit Operating Systems.
  • The default IIS version available with a version of Windows is supported for each supported version of Windows
  • K2 4.7 introduced changes regarding support for certain versions of third-party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.
  • OS Language Support: K2 server components can be installed on any Operating System language. The following Operating System languages have been tested: English, Chinese (Simplified and Traditional), German, and French
  • Product Documentation: K2 Server Components
Windows Server 2016 (RTM)
More...
Check
  • Standard, Datacenter
Windows Server 2012 R2 (RTM)
More...
Check Check Check Check Check Check
  • Standard, Datacenter
Windows Server 2012 (RTM)
More...
Check Check Check Check Check Check Check Check
  • Standard, Datacenter
Windows Server 2008 R2 (SP1)
More...
Check Check Check Check Check Check Check
  • Standard, Enterprise
Windows Server 2008 R2 (RTM)
More...
Check Check
  • Standard, Enterprise
Windows Server 2008 (SP2)
More...
Check Check Check Check Check Check Check
  • Standard, Enterprise
  • Although the base OS version on the latest service pack is supported, K2 tests on the R2 versions. K2 recommends that you upgrade to the R2 versions. Additionally, if you are installing K2 for SharePoint 2013, the SharePoint 2013 CSOM redistributable requires a minimum of Windows 2008 R2. Therefore, Windows Server 2008 SP2 is not supported for the K2 for SharePoint 2013 component.
Windows 10 (RTM)
More...
Check Check
  • Professional, Enterprise
Windows 8 (8.1)
More...
Check Check Check Check Check Check
  • K2 version 4.6.7 or greater: K2 Server components are supported on desktop OS, such as Windows 7, for developer licenses or console mode only.
Windows 8 (8.0)
More...
Check Check Check Check Check
  • K2 version 4.6.7 or greater: K2 Server components are supported on desktop OS, such as Windows 7, for developer licenses or console mode only.
Windows 7 (SP1)
More...
Check Check Check Check Check Check Check
  • K2 version 4.6.7 or greater: K2 Server components are supported on desktop OS, such as Windows 7, for developer licenses or console mode only.
Windows 7 (RTM)
More...
Check Check Check Check Check Check Check
  • K2 version 4.6.7 or greater: K2 Server components are supported on desktop OS, such as Windows 7, for developer licenses or console mode only.
K2 Client Components
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • Client Components include: K2 Core, K2 Studio, K2 for Visual Studio, K2 SmartForms wizards for K2 Studio/K2 for Visual Studio
  • K2 Client components are compatible with 32-bit and 64-bit Operating Systems.
  • Product Documentation: K2 Client Components
Windows Server 2016 (RTM) Check
Windows Server 2012 R2 (RTM) Check Check Check Check Check Check Check Check
Windows Server 2012 (RTM) Check Check Check Check Check Check Check Check
Windows Server 2008 R2 (SP1) Check Check Check Check Check Check Check
Windows Server 2008 R2 (RTM) Check Check Check Check Check Check Check
Windows Server 2008 (SP2) Check Check Check Check Check Check Check
Windows 10 (RTM) Check
Windows 8 (8.1) Check Check Check Check Check Check Check Check
Windows 8 (8.0) Check Check Check Check Check Check Check
Windows 7 (SP1) Check Check Check Check Check Check Check
Windows 7 (RTM) Check Check Check Check Check Check Check
Windows Vista (SP2) Check Check Check Check Check Check Check
Windows Vista (SP1) Check Check Check Check Check Check Check
Microsoft SQL Server
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • This table lists the versions of Microsoft SQL Server that are supported for installation of the K2 database(s)
  • K2 4.7 introduced changes regarding support for certain versions of third-party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.
  • K2 blackpearl 4.7 and greater requires consolidated databases. K2 Database Consolidation Tool
  • While all editions of SQL Server are supported, K2 recommends standard or better for production systems.
  • SQL Clustering is supported.
  • SQL AlwaysOn and SQL Mirroring are supported for single database scenarios only.
  • Latin1_General_CI_AS collation is required on the SQL server instance
  • For information on what versions of SQL server can be integrated with as SmartObjects using the SQL Server Service Broker, please see SQL Server
Azure SQL Database
More...
Check
  • Azure SQL S2 is required at a minimum. K2 recommends Azure SQL P1, however this may vary depending on the estimated use.
  • Azure SQL Database is only supported on new installs of K2.
  • See the K2 blackpearl Installation and Configuration Guide for additional information on planning your Azure SQL integration.
SQL Server 2016 (RTM) Check
SQL Server 2014 (RTM) Check Check Check Check Check
SQL Server 2012 (SP3) Check
SQL Server 2012 (SP2) Check Check Check Check Check Check
SQL Server 2012 (SP1) Check Check Check Check Check Check Check
SQL Server 2012 (RTM) Check Check Check Check Check Check Check Check
SQL Server 2008 R2 (SP3) Check Check Check
SQL Server 2008 R2 (SP2) Check Check Check Check Check Check Check
SQL Server 2008 R2 (SP1) Check Check Check Check Check Check Check
SQL Server 2008 R2 (RTM) Check Check Check Check Check Check Check
SQL Server 2008 (SP4) Check Check Check
SQL Server 2008 (SP3)
More...
Check Check Check Check Check Check Check
  • Although the base SQL version with the latest service pack is supported, K2 tests on the R2 versions. K2 recommends that you upgrade to the R2 versions.
Microsoft SQL Server Reporting Services (SSRS)
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • The K2 for Reporting Services component is an optional component that is installed on a Microsoft SSRS server. If the K2 for Reporting Services component is installed, K2 will leverage SSRS to run the standard reports. See the K2 for Reporting Services installation and configuration guide for more information on installing this component.
  • To install K2 for Reporting Services on a Reporting Services server, Reporting Services should be running in Native Mode (not SharePoint Integrated Mode).
  • See the K2 blackpearl Software Requirements and Prerequisites product documentation for additional information on K2 for Reporting Services (server) components and recommendations.
SQL Server 2016 (RTM) Check
SQL Server 2014 (RTM) Check Check Check
SQL Server 2012 (SP2) Check Check Check
Microsoft SharePoint
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • The versions of Microsoft SharePoint where the K2 for SharePoint 2010 components (SharePoint 2010 and Sites in SharePoint 2010 Mode on SharePoint 2013) or K2 for SharePoint App (SharePoint 2013 and later) can be installed.
  • K2 for SharePoint Product Documentation: K2 for SharePoint Installation
  • K2 for SharePoint 2010 Product Documentation: K2 for SharePoint 2010 Installation
  • K2 4.7 introduced changes regarding support for certain versions of third-party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.
  • The K2 for SharePoint App and K2 for SharePoint 2013 Brokers allows users to interact with SharePoint 2013/Online and later via CSOM (client side object model) and REST to manipulate SharePoint Lists and Libraries.
  • The K2 for SharePoint 2010 components and SharePoint 2010 Service Brokers allows user to interact with SharePoint 2010, and Sites in SharePoint 2010 Mode on SharePoint 2013.
SharePoint 2016 (On-Prem)
More...
Check
  • To install K2 4.7 for SharePoint, the July 2016 Cumulative Update (or later) for SharePoint is required.
  • K2's support for SharePoint Cumulative Updates is described in K2 Product Support and Release Strategy
SharePoint Online
More...
Check Check Check Check Check Check
  • Standard and Enterprise.
  • The K2 for SharePoint 2013 in 2010 mode component can be used with SharePoint 2013 Foundation Edition for sites in SharePoint 2010 mode.
  • SharePoint Online is a supported platform with the K2 for SharePoint App only. The SharePoint Content and SharePoint Management brokers no longer work with SharePoint Online due to authentication changes on that platform. Additionally, sites that were originally created in BPOS-S that were later migrated to SharePoint Online do not support the SharePoint App model and therefore are not supported by K2.
  • The O365 editions supported include Business Essentials, Premium; Enterprise E1 or greater; Education E1 or greater; Government E1 or greater; SharePoint Online Standalone Plan 1 or greater.
  • When applied to SharePoint online environments, the K2 blackpearl for SharePoint App is only supported in regions and deployments managed directly by Microsoft and use the https://login.windows.net Azure Active Directory authentication mechanism. For example, SharePoint Online support is not available in China, Germany or US Government environments.
SharePoint 2013 (SP1)
More...
Check Check Check Check Check Check
  • Standard and Enterprise.
  • The K2 for SharePoint 2013 in 2010 mode component can be used with SharePoint 2013 Foundation Edition for sites in SharePoint 2010 mode.
SharePoint 2013 (RTM)
More...
Check Check Check Check Check Check Check Check
  • Standard and Enterprise.
  • The K2 for SharePoint 2013 in 2010 mode component can be used with SharePoint 2013 Foundation Edition for sites in SharePoint 2010 mode.
SharePoint 2010 (SP2)
More...
See support notes Check Check Check Check Check Check
  • Foundation, Standard, Enterprise
SharePoint 2010 (SP1)
More...
See support notes Check Check Check Check Check Check Check
  • Foundation, Standard, Enterprise
SharePoint 2010 (RTM)
More...
See support notes Check Check Check Check Check Check Check
  • Foundation, Standard, Enterprise
  • SharePoint 2013 sites in SharePoint 2010 mode only (Applies to K2 blackpearl 4.6.6 and 4.6.5)
MOSS 2007 Enterprise (SP3)
More...
Check Check Check Check Check Check Check
  • Publishing and Records Management integration requires MOSS Standard or MOSS Enterprise
  • InfoPath Forms Services integration requires MOSS Enterprise or Office Forms Server and InfoPath 2007 designed forms
  • BDC integration requires MOSS Enterprise
  • Publishing and Records Management integration requires MOSS Standard or MOSS Enterprise
  • InfoPath Forms Services integration requires MOSS Enterprise or Office Forms Server and InfoPath 2007 designed forms
MOSS 2007 Standard (SP3)
More...
Check Check Check Check Check Check Check
  • Publishing and Records Management integration requires MOSS Standard or MOSS Enterprise
  • Publishing and Records Management integration requires MOSS Standard or MOSS Enterprise
Forms Server 2007 (SP3)
More...
Check Check Check Check Check Check Check
  • InfoPath Forms Services integration requires MOSS Enterprise or Office Forms Server and InfoPath 2007 designed forms
WSS v3.0 (SP3) Check Check Check Check Check Check Check
Microsoft Visual Studio
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • Lists the versions of Microsoft Visual Studio that the K2 for Visual Studio components (e.g. K2 Projects, K2 workflows, K2 SmartObjects, K2 Process Management) can be installed on.
  • Product Documentation: Introduction to K2 for Visual Studio
  • K2 4.7 introduced changes regarding support for certain versions of third-party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.
Visual Studio 2015 (RTM)
More...
Check Check
  • Professional, Enterprise
Visual Studio 2013 (RTM)
More...
Check Check Check Check Check Check
  • Premium, Ultimate, Professional
Visual Studio 2012 (RTM)
More...
Check Check Check Check Check Check Check
  • Premium, Ultimate, Professional
Visual Studio 2010 (SP1)
More...
Check Check Check Check Check Check Check
  • Premium, Ultimate, Professional
Visual Studio 2010 (RTM)
More...
Check Check Check Check Check Check Check
  • Premium, Ultimate, Professional
.NET Framework
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • K2 requires the latest .NET 3 series AND .NET 4 series frameworks to function. You must have .NET 3.5 and .NET 4.6.1 installed to install or upgrade to K2 4.7.
  • Microsoft requires customers to be on certain versions of client operating system, browser, or .NET framework based on their new lifecycle policies: Microsoft .NET Framework Support Lifecycle Policy FAQ
  • Other .NET Framework versions may be installed as necessary for other product requirements apart from K2, such as Microsoft SharePoint or Microsoft Visual Studio that may require their own specific versions of the .NET framework.
  • K2 supports the .NET 4.6 series framework that has a runtime version of v4.0, as defined by the Microsoft supported runtime element statement. For example, .NET 4.5, 4.6, and 4.6.1 are all considered v4.0 runtime versions and thus are all supported.
.NET Framework 4.6.1 Check
.NET Framework 4.6 (RTM) Check
.NET Framework 4.0/4.5 (RTM) Check Check Check Check Check Check
.NET Framework 3.5 (SP1) Check Check Check Check Check Check Check
Microsoft Management Console MMC
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • This prerequisite is not required if you are not using, or do not intend to use, the thick client Package and Deployment tool. The web-based Package and Deployment tool does not require Microsoft Management Console.
MMC 3.0
More...
Check Check Check Check Check Check
  • K2 Package and Deployment RTM (4.13210.1.0) or greater
  • Required for the K2 Package and Deployment component, an additional component that can be installed on K2 blackpearl 4.6.6 or greater.
Microsoft PowerShell
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • This prerequisite is required for the K2 Package and Deployment component for scripted deployments, K2 Server and the K2 for SharePoint Installer.
PowerShell 5.0 Check
PowerShell 4.0 Check
PowerShell 3.0
More...
Check Check Check
  • K2 Package and Deployment (RTM)
Mobile Apps Operating Systems
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • Supported mobile operating systems for K2 mobile applications
  • Product Documentation: Learn more about K2 Mobile applications at help.k2.com/mobile
  • For information on Mobile Browser support, please see Mobile Browsers
iOS 10 or later
More...
Check Check Check
Windows Phone 10 or later
More...
Check Check Check
Android 4.1 (Jellybean)
More...
Check Check
Product Integration Compatibility

This section describes products and versions of products that K2 can integrate with, through Service Brokers, Workflow Wizards or other integration mechanisms.

Uncheck the K2 product versions you do not want displayed. Check the K2 product versions you want displayed.
Supported Products Support Ended Products
4.7 4.6.9 (K2 smartforms and K2 smartforms Control Pack versions are the same as K2 blackpearl)
4.6.11 4.6.8 (Includes K2 smartforms 1.0.7 and K2 smartforms Control Pack 1.0.1)
4.6.10 4.6.7 (Includes K2 smartforms 1.0.6 and K2 smartform Control Pack 1.0)
4.6.6 (Includes K2 smartforms 1.0.5)
4.6.5
Microsoft Product Integration
spacer

This section describes what versions of Microsoft Products K2 can integrate with, usually via SmartObjects and/or workflow wizards. For information on support policies for Microsoft product updates and service packs, please refer to the K2 Technical Bulletin on product support, Microsoft and third-party support section.

Microsoft SharePoint
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • The versions of Microsoft SharePoint where the K2 for SharePoint 2010 components (SharePoint 2010 and Sites in SharePoint 2010 Mode on SharePoint 2013) or the K2 for SharePoint App (SharePoint 2013 and later) can be installed to allow K2 to integrate with SharePoint.
  • K2 for SharePoint Product Documentation: K2 for SharePoint User Guide
  • K2 for SharePoint 2010 Product Documentation: K2 for SharePoint 2010
  • The K2 for SharePoint App and K2 for SharePoint 2013 Brokers allows K2 to integrate with SharePoint 2013/Online and later via CSOM (client side object model) and REST to manipulate SharePoint Lists and Libraries. Use the K2 for SharePoint App to configure the integration
  • The K2 for SharePoint 2010 components and SharePoint 2010 Service Brokers allows K2 to integrate with SharePoint 2010, and Sites in SharePoint 2010 Mode on SharePoint 2013.
  • K2 4.7 introduced changes regarding support for certain versions of third-party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.
  • K2 4.7 introduced new and changed support for integration with Microsoft SharePoint. See the KB article K2 4.7 and SharePoint Integration Options for more information and options for customers to remain supported with their K2 solutions that integrate with SharePoint.
  • K2's support for SharePoint Cumulative Updates is described in K2 Product Support and Release Strategy
SharePoint 2016 (On-Prem)
More...
Check
SharePoint Online
More...
Check Check Check Check Check Check
  • Standard and Enterprise.
  • The K2 for SharePoint 2013 in 2010 mode component can be used with SharePoint 2013 Foundation Edition for sites in SharePoint 2010 mode.
  • SharePoint Online is a supported platform with the K2 for SharePoint App only. The SharePoint Content and SharePoint Management brokers no longer work with SharePoint Online due to authentication changes on that platform. Additionally, sites that were originally created in BPOS-S that were later migrated to SharePoint Online do not support the SharePoint App model and therefore are not supported by K2.
  • The O365 editions supported include Business Essentials, Premium; Enterprise E1 or greater; Education E1 or greater; Government E1 or greater; SharePoint Online Standalone Plan 1 or greater.
  • When applied to SharePoint online environments, the K2 blackpearl for SharePoint App is only supported in regions and deployments managed directly by Microsoft and use the https://login.windows.net Azure Active Directory authentication mechanism. For example, SharePoint Online support is not available in China, Germany or US Government environments.
SharePoint 2013 (SP1)
More...
Check Check Check Check Check Check
SharePoint 2013 (RTM)
More...
Check Check Check Check Check Check Check Check
  • Standard and Enterprise.
  • The K2 for SharePoint 2013 in 2010 mode component can be used with SharePoint 2013 Foundation Edition for sites in SharePoint 2010 mode.
SharePoint 2010 (SP2)
More...
See support notes Check Check Check Check Check Check
  • Foundation, Standard, Enterprise
SharePoint 2010 (SP1)
More...
See support notes Check Check Check Check Check Check Check
  • Foundation, Standard, Enterprise
SharePoint 2010 (RTM)
More...
See support notes Check Check Check Check Check Check Check
  • Foundation, Standard, Enterprise
  • SharePoint 2013 sites in SharePoint 2010 mode only (Applies to K2 blackpearl 4.6.6 and 4.6.5)
MOSS 2007 Enterprise (SP3)
More...
Check Check Check Check Check Check Check
  • Publishing and Records Management integration requires MOSS Standard or MOSS Enterprise.
  • InfoPath Forms Services integration requires MOSS Enterprise or Office Forms Server and InfoPath 2007 designed forms.
  • BDC integration requires MOSS Enterprise.
MOSS 2007 Standard (SP3)
More...
Check Check Check Check Check Check Check
  • Publishing and Records Management integration requires MOSS Standard or MOSS Enterprise
Forms Server 2007 (SP3)
More...
Check Check Check Check Check Check Check
  • InfoPath Forms Services integration requires MOSS Enterprise or Office Forms Server and InfoPath 2007 designed forms
WSS v3.0 (SP3) Check Check Check Check Check Check Check
Microsoft SQL Server
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • Use the SQL Server Service Broker to integrate with Microsoft SQL Server databases by exposing Tables, Stored Procedures and Views as Service Object and SmartObjects. The available methods depend on the type of SQL entity being exposed.
  • Service Instances are configured per database.
  • While all editions of SQL Server are supported, K2 recommends standard or better for production systems.
  • Product Documentation: SQL Server Service Broker
  • For information on what versions of SQL server are supported for installation of the K2 database, please see SQL Server.
  • K2 4.7 introduced changes regarding support for certain versions of third-party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.
Azure SQL Database
More...
Check
SQL Server 2016 (RTM) Check
SQL Server 2014 (RTM) Check Check Check Check Check
SQL Server 2012 (SP3) Check
SQL Server 2012 (SP2) Check Check Check Check Check Check
SQL Server 2012 (SP1) Check Check Check Check Check Check Check
SQL Server 2012 (RTM) Check Check Check Check Check Check Check Check
SQL Server 2008 R2 (SP3) Check Check Check
SQL Server 2008 R2 (SP2) Check Check Check Check Check Check Check
SQL Server 2008 R2 (SP1) Check Check Check Check Check Check Check
SQL Server 2008 R2 (RTM) Check Check Check Check Check Check Check
SQL Server 2008 (SP4) Check Check Check
SQL Server 2008 (SP3)
More...
Check Check Check Check Check Check Check
  • Although the base SQL version with the latest service pack is supported, K2 tests on the R2 versions. K2 recommends that you upgrade to the R2 versions.
Microsoft SQL Server Reporting Services (SSRS)
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
SQL Server 2016 (RTM) Check
SQL Server 2014 (RTM) Check Check Check
SQL Server 2012 (SP2) Check Check Check
Microsoft Exchange Server
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • These are the versions of Microsoft Exchange Server that K2 integrates with via SmartObjects, workflow wizards and SmartActions.
  • Product Documentation: The Exchange Administration Service Broker can be used to work with mailboxes in Exchange, such as enabling or disabling mailboxes.
  • Product Documentation: The Exchange Management Service Broker can be used to interact with Exchange tasks, calendars and meetings.
  • K2 4.7 introduced changes regarding support for certain versions of third-party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.
Exchange Online Check Check Check Check Check Check Check
Exchange 2016 (RTM) Check
Exchange 2013 (SP1) Check Check Check Check Check Check
Exchange 2013 (RTM) Check Check Check Check Check Check Check
Exchange 2010 (SP3) Check Check Check Check Check Check
Exchange 2010 (SP2) Check Check Check Check Check Check Check
Exchange 2010 (SP1) Check Check Check Check Check Check Check
Exchange 2010 (RTM) Check Check Check Check Check Check Check
Exchange 2007 (SP3) Check Check Check Check Check Check Check
Microsoft Dynamics CRM
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • The versions of Microsoft CRM that K2 can integrate with via SmartObjects and workflow wizards.
  • Product Documentation: The CRM Functions and Entities service instances provides K2 with the ability to interface with CRM functions and entities based on a Dynamics CRM 2011,2013 or 2015 server.
  • Product Documentation: The CRM Wizards allow certain actions to be automatically performed during a Workflow.
  • K2 4.7 introduced changes regarding support for certain versions of third-party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.
CRM Online
More...
Check
  • Also known as Dynamics 365 for Customer Service
  • When configuring CRM integration with CRM Online, you must use the Discovery Service URL instead of the Organization Service URL. See KB001410 for complete details.
CRM 2016 Check
CRM Online 2015
More...
Check Check Check Check
  • When configuring CRM integration with CRM Online, you must use the Discovery Service URL instead of the Organization Service URL. See KB001410 for complete details.
CRM 2015 (RTM) Check Check Check Check
CRM 2013 (RTM)
More...
Check Check Check Check Check Check
  • Includes support for Update Rollup 1
CRM 2011 (RTM) Check Check Check Check Check Check Check
CRM 4.0
More...
Check Check Check Check Check Check Check
  • Workgroup, Professional, Enterprise
  • CRM 4.0 wizards are not supported with K2 blackpearl 4.7
Microsoft InfoPath
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • K2 4.7 introduced changes regarding support for certain versions of third-party software products. See the Technical Bulletin: Third-party support with the K2 4.7 release for more information.
  • K2 does not test against cumulative updates on client software such as InfoPath.
InfoPath 2013 (RTM)
More...
Check Check Check Check Check Check Check
  • InfoPath 2013 Forms must be set to InfoPath 2010 compatibility mode in the form options.
InfoPath 2010 (SP1) Check Check Check Check Check Check Check
InfoPath 2010 (RTM) Check Check Check Check Check Check Check
InfoPath 2007 (SP3)
More...
Check Check Check Check Check Check Check
  • InfoPath 2007 Managed Code Form Templates supported per product documentation.
InfoPath 2007 (SP2)
More...
Check Check Check Check Check Check Check
  • InfoPath 2007 Managed Code Form Templates supported per product documentation.

Other Product Integration
spacer
This section lists other third-party software that K2 can integrate with, usually through SmartObjects and/or workflow wizards. For information on support policies for third-party products, please refer to the K2 Technical Bulletin on product support, Microsoft and third-party support section.
Oracle
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • Oracle integration is supported through the use of the Oracle Service Broker.
  • You cannot install K2 Databases on any DBMS other than Microsoft SQL Server, as listed in SQL Server.
  • K2 uses the ODP.NET data connector. Please refer to the Oracle Documentation for additional supported version information.
Oracle 12c (Release 1) Check Check
Oracle 11g (Release 2) Check Check Check Check Check Check Check Check
Oracle 11g (Release 1) Check Check Check Check Check Check Check Check
Oracle 10g (Release 2) Check Check Check Check Check Check Check
Oracle 10g (Release 1) Check Check Check Check Check Check Check
Oracle 9i (Release 2) Check Check Check Check Check Check Check
DocuSign
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • Product Documentation: The DocuSign Service Broker and wizards enable integration with the DocuSign e-signature solution.
  • Theoretical and functional knowledge of DocuSign is required to use the DocuSign integration provided by K2. You may learn more about DocuSign from the DocuSign website.
  • The API version listed is what was tested against during the release cycle. See the third-party integration support plan for additional information.
DocuSign Enterprise REST API v2 Check Check Check
Salesforce
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
Salesforce Check Check Check Check Check Check Check Check
Generic Brokers
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
REST
More...
Check
OData
More...
Check Check Check Check
Web Services
More...
Check Check Check Check Check Check Check Check
  • Product Documentation: Webservice Service Broker
  • TLS 1.0 is supported for K2 4.7 and TLS 1.0 up to TLS 1.2 is supported for K2 4.7 with February 2017 Cumulative Update for the Web Services broker.
WCF Services
More...
Check Check Check Check Check Check Check Check
Assembly
More...
Check Check Check Check Check Check Check Check
Browser Compatibility

This section lists the tested web browsers which are used in the following ways:

  • Design-time: Designing artifacts using K2 browser-based design tools.
  • Runtime and Mobile: Using K2 websites, worklists and SmartForms in a web browser or a mobile app.
Uncheck the K2 product versions you do not want displayed. Check the K2 product versions you want displayed.
Supported Products Support Ended Products
4.7 4.6.9 (K2 smartforms and K2 smartforms Control Pack versions are the same as K2 blackpearl)
4.6.11 4.6.8 (Includes K2 smartforms 1.0.7 and K2 smartforms Control Pack 1.0.1)
4.6.10 4.6.7 (Includes K2 smartforms 1.0.6 and K2 smartforms Control Pack 1.0)
4.6.6 (Includes K2 smartforms 1.0.5)
4.6.5
Browser Compatibility
spacer
Design-time
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • Design-time refers to using the available K2 browser-based design tools to build workflows, SmartObjects, SmartForms and other K2 artifacts. These actions are performed by application builders. This table lists the web browsers that have been tested against the design-time usage of K2.
  • Microsoft ended support for IE 8 through 10 on 12 January 2016. See the K2 Technical Bulletin on Internet Explorer for more details on what this means for K2 support. Microsoft requires customers to be on certain versions of client operating system, browser, or .NET framework based on their new lifecycle policies. See Microsoft Internet Explorer Support Lifecycle Policy FAQ for more information.
Internet Explorer (11) Check Check Check Check
Internet Explorer (10)
More...
Check Check Check
  • Microsoft ended support for IE 8 through 10 on 12 January 2016. Please see http://help.k2.com/news/iesupport for more details on what this means for K2 support.
  • Plug-in support is only available in Internet Explorer on the desktop, and this version of Internet Explorer 10 must be used for items built on Silverlight, such as the K2 Workflow Designer.
Internet Explorer (9)
More...
Check Check Check
Chrome
More...
Check Check Check Check
  • Latest version: 53.0.2785.101m
Firefox
More...
Check Check Check Check
  • Latest version: 48.0.2
Safari (MacOS)
More...
Check Check Check Check
  • Latest version tested on MacOS: 9.1.2
Silverlight (5)
More...
Check Check Check Check
  • Silverlight is required when designing workflows and SmartObject associations using the browser-based design tools.
Silverlight (4)
More...
Check Check Check
  • Minimum required version for Silverlight is 4.0.50917.0.
  • Silverlight is required when designing workflows and SmartObject associations using the browser-based design tools.
Runtime
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • Runtime refers to using web browsers to interact with K2 artifacts (for example SmartForms) or administering K2 through the available web-based administration tools. These actions are performed by end users and system administrators. This table lists the web browsers that have been tested against the runtime use of K2.
  • The legacy K2 Workspace component is compatible with Internet Explorer, and it may not render or behave as expected in other web browsers. In addition, if you are using Internet Explorer 11, you must run IE in compatibility mode. See the Knowledge Base article KB001578 for more information.
  • Microsoft ended support for IE 8 through 10 on 12 January 2016. See the K2 Technical Bulletin on Internet Explorer for more details on what this means for K2 support. Microsoft requires customers to be on certain versions of client operating system, browser, or .NET framework based on their new lifecycle policies. See Microsoft Internet Explorer Support Lifecycle Policy FAQ for more information.
Internet Explorer (11) Check Check Check
Internet Explorer (10)
More...
Check Check
  • Microsoft ended support for IE 8 through 10 on 12 January 2016. Please see http://help.k2.com/news/iesupport for more details on what this means for K2 support.
  • Plug-in support is only available in Internet Explorer on the desktop, and this version of Internet Explorer 10 must be used for items built on Silverlight, such as the K2 Workflow Designer.
Internet Explorer (9)
More...
Check Check
Internet Explorer (8)
More...
Check Check
  • Microsoft ended support for IE 8 through 10 on 12 January 2016. Please see http://help.k2.com/news/iesupport for more details on what this means for K2 support.
  • IE 8 support is limited to end-user runtime execution only, for K2 runtime and K2 web parts. Issues that have no workaround and cause the end-user pages to not function can be addressed through K2 Support Services. Display and styling issues will not be addressed.
Chrome
More...
Check Check Check
  • Latest version: 53.0.2785.101 m
Firefox
More...
Check Check Check
  • Latest version: 48.0.2
Safari (MacOS)
More...
Check Check Check
  • Latest version tested on MacOS: 9.1.2
Silverlight (5)
More...
Check
  • Silverlight is required at runtime only when running the K2 View Flow report.
Silverlight (4)
More...
Check Check
  • Minimum required version for Silverlight is 4.0.50917.0.
  • Silverlight is required at runtime only when running the K2 View Flow report.
Mobile Browsers
More...
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
  • K2 tests runtime interaction with K2 artifacts on a variety of mobile browsers as listed in the table below. Note that only runtime usage (for example interacting with SmartForms) is supported on mobile devices: no design time usage is supported for mobile devices.
  • Product Documentation: Learn more about K2 Mobile applications at help.k2.com/mobile.
iOS (Safari Browser)
More...
Check Check
  • Includes iPhones and iPads with iOS 10 or later
Windows Devices (Native Browser) Check
Android (Native Browser)
More...
Check
  • Android version 4.2.2 or later (Jellybean)
K2 Language Pack

The K2 Language Pack is an add-on component that enables cultural adaptation and translation of non-configurable runtime UI elements. The K2 Language Pack supports different languages for the following items: Standard SmartForms controls, the SmartForms Control Pack controls, the View Flow report, and elements of the K2 Designer.

Uncheck the K2 product versions you do not want displayed. Check the K2 product versions you want displayed.
Supported Products Support Ended Products
4.7 4.6.9 (K2 smartforms and K2 smartforms Control Pack versions are the same as K2 blackpearl)
4.6.11 4.6.8 (Includes K2 smartforms 1.0.7 and K2 smartforms Control Pack 1.0.1)
4.6.10 4.6.7 (Includes K2 smartforms 1.0.6 and K2 smartforms Control Pack 1.0)
4.6.6 (Includes K2 smartforms 1.0.5)
4.6.5
K2 Language Pack
spacer
4.7 4.6.11 4.6.10 4.6.9 4.6.8 4.6.7 4.6.6 4.6.5
English Check Check Check Check Check Check Check Check
German Check Check Check Check
French Check Check Check Check
Simplified Chinese Check Check Check Check
Traditional Chinese Check Check Check Check
Afrikaans Check Check Check Check
Spanish Check Check
Portuguese Check Check
Italian Check Check
Hebrew Check Check
Czech Check Check
Japanese Check
Slovak Check
Mobile Apps Languages
spacer
Android and iOS (only) Android iOS
English Check Check
German Check Check
French Check Check
Simplified Chinese Check Check
Traditional Chinese Check Check
Croatian Check Check
Spanish Check Check
Russian Check Check
Czech Check Check
Japanese Check Check
Slovak Check Check
Additional Resources

Additional resources that may help you learn more about the capabilities of the K2 platform and be notified of new releases.

Downloads, Help, News and Announcements
spacer
K2 Software Downloads
  • To download K2 software, access the K2 Partner and Customer Portal, then click the Downloads menu item in the navigation bar.
  • You must have a partner or customer account to access the portal. Contact your K2 account representative to obtain a login account.
K2 Knowledge Center
News and Announcements
  • Browse to the News and Announcements list to stay up to date with new product, content and other announcements from K2.
K2 Community
  • Find community forums and tools developed by people using K2 to help you do your job at the K2 Community site.